%define name	tutos
%define version 1.0.20030205
%define release 1mdk

Summary:	The Ultimate Team Organisation Software
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		System/Servers
Source0:	%{name}-php-%{version}.tar.bz2
Source1:	%{name}-config.pinc.bz2
URL:		http://www.tutos.org/
Requires:	webserver mysqlserver php php-mysql mod_php
Requires:	rcs wv JpGraph transfig
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		prefix	/var/www/html/tutos

%description
TUTOS is a webbased groupware or ERP/CRM suite that provides the users
with:
- personal and group calendars
- addressbook
- projectmanagement
- filemanagement
- taskmanagement
- bugtracking
- notes
- installation management
- mail interface

%prep
%setup -q -n %{name}

%install
perl -p -i -e 's/\/usr\/share\/tutos/\/var\/www\/html\/tutos/g' apache.conf

rm -rf $RPM_BUILD_ROOT
find . -type d | xargs chmod 755
find . -type f | xargs chmod 644

mkdir -p $RPM_BUILD_ROOT/%prefix
cp -r * $RPM_BUILD_ROOT/%prefix/

rm -f $RPM_BUILD_ROOT/%prefix/*.spec
rm -f $RPM_BUILD_ROOT/%prefix/*.in

bzcat %SOURCE1 > $RPM_BUILD_ROOT/%prefix/php/config.pinc

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Include /var/www/html/tutos/apache.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
else
	echo "Run \"service httpd start\" to start apache http daemon."
fi
echo '** Edit /var/www/html/tutos/php/config.pinc to configure your system!'
echo '** To setup the database, see http://www.tutos.org/homepage/mysql_setup.html'

%preun
perl -p -i -e 's/Include\ \/var\/www\/html\/tutos\/apache.conf//g' %{_sysconfdir}/httpd/conf/httpd.conf
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%files
%defattr(-,root,root)
%{prefix}/php
%config %{prefix}/php/config.pinc
%{prefix}/html
%doc %{prefix}/homepage
%{prefix}/createdb.sh
%{prefix}/scheme.sh
%{prefix}/shellfunc.sh
%config %{prefix}/apache.conf
%doc %{prefix}/README*
%doc %{prefix}/INSTALL
%doc %{prefix}/documentation
%doc %{prefix}/ToDo
%doc %{prefix}/ChangeLog
%doc %{prefix}/*.lsm

%changelog
* Fri Feb 7 2003 Austin Acton <aacton@yorku.ca> 1.0.20030205-1mdk
- initial package
